# BarcodeFormatPharmaCodeConfiguration class

PharmaCode barcode configuration. Add to scanner configuration to scan linear (1D) Laetus Pharmacode barcodes. Two-track PharmaCode scanning is configured separately through the PharmaCodeTwoTrackConfig class.

Inheritance
  - Object
  - BarcodeFormatConfigurationBase
  - BarcodeFormatOneDConfigurationBase
  - BarcodeFormatPharmaCodeConfiguration

## Constructors

BarcodeFormatPharmaCodeConfiguration({String regexFilter = "", double minimumSizeScore = 0.0, bool addAdditionalQuietZone = false, int minimum1DQuietZoneSize = 6, int minimumValue = 16, bool allowNarrowBarsOnly = false, bool allowWideBarsOnly = false})
BarcodeFormatPharmaCodeConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

addAdditionalQuietZone ↔ bool
  If true, we process the barcode scanning with an artificial quiet zone that we add to the input image. This flag should be used to scan sharp crops of a barcode in single-shot mode.
  getter/setter pair inherited
allowNarrowBarsOnly ↔ bool
  If true, a result consisting of only narrow bars is accepted as valid. The specification does not recommend such barcodes. Default is false.
  getter/setter pair
allowWideBarsOnly ↔ bool
  If true, a result consisting of only wide bars is accepted as valid. The specification does not recommend such barcodes. Default is false.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
minimum1DQuietZoneSize ↔ int
  Minimum quiet zone size on the left and right sides of a 1D barcode, measured in number of modules. The quiet zone is only for 1D barcodes with weak start/stop patterns, i.e. Iata2Of5, Industrial2Of5, Code25, Itf, Codabar, MsiPlessey and Code11.
  getter/setter pair inherited
minimumSizeScore ↔ double
  Minimum acceptable value of a result BarcodeItem's sizeScore (between 0 and 1). Barcodes with a sizeScore less than this value will not be scanned. When set to 0, barcodes are returned no matter what their size is.
  getter/setter pair inherited
minimumValue ↔ int
  Minimum value for PharmaCode. Very low values are likely to produce more false positives.
  getter/setter pair
regexFilter ↔ String
  Regular expression filter for barcode text. If the barcode text does not match the regular expression, it will not be scanned. The default is an empty string (setting is turned off).
  getter/setter pair inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited